# Uses of Class
org.globus.ftp.dc.SocketPool

Packages that use SocketPool
Package
Description
org.globus.ftp.dc
org.globus.ftp.extended

## Uses of SocketPool in org.globus.ftp.dc

Fields in org.globus.ftp.dc declared as SocketPool
Modifier and Type
Field
Description
`protected SocketPool`
EBlockParallelTransferContext.`socketPool`
`protected SocketPool`
TransferThreadManager.`socketPool`
Methods in org.globus.ftp.dc that return SocketPool
Modifier and Type
Method
Description
`SocketPool`
EBlockParallelTransferContext.`getSocketPool()`
Methods in org.globus.ftp.dc with parameters of type SocketPool
Modifier and Type
Method
Description
`void`
EBlockParallelTransferContext.`setSocketPool(SocketPool sp)`
Constructors in org.globus.ftp.dc with parameters of type SocketPool
Modifier
Constructor
Description
``
`StripeContextManager(int stripes, SocketPool pool, GridFTPServerFacade facade)`
``
`TransferThreadManager(SocketPool socketPool, GridFTPServerFacade facade, BasicServerControlChannel myControlChannel, GridFTPSession gSession)`

## Uses of SocketPool in org.globus.ftp.extended

Fields in org.globus.ftp.extended declared as SocketPool
Modifier and Type
Field
Description
`protected SocketPool`
GridFTPServerFacade.`socketPool`